#!/usr/local/bin/ruby -Ku
  # グローバル変数によるRプログラムの置換  (coding: utf-8)
require "rrx"
    # Rプログラムの定義
rpro = <<EOS
dtf <- read.csv("@@last@@", @@$ropt@@)
dtf
xx <- chisq.test(dtf)
xx
EOS
    # 行列を一つづつ取り出して処理
count = 0
Rrx.cut_table("data02.csv", 3) do |tbl, title, ropt|
  count += 1
  Rrx.temp_make(tbl)  # 抽出した行列を一時ファイルに書き出す
  $ropt = ropt  # read.csv() のオプションをグローバル変数に代入
  logname = sprintf("log%02d.txt", count)
  hs = Rrx.rexec(rpro, logname)
  next  unless hs[:sink]
  regex = /^\w\S* = (.+?), df = (.+?), p-value [<>=]+ (.+)$/
  chi,df,pval = regex =~ hs[:sink] ? [$1.to_f, $2.to_i, $3.to_f] : [nil]*3
  printf("検定#%d(%s)\n", count, title)
  printf("χ2 %g, df %d, p-value %g\n\n", chi, df, pval)
end
