#!/usr/local/bin/ruby -Ku
  # 文字列を配列に変換：調整済み残差のレポート  (coding: utf-8)
require "rrx"
    # Rプログラムの定義
rpro = <<EOS
dtf <- read.csv("@@last@@", @@$ropt@@)
xx <- chisq.test(dtf)
xx
write.csv(xx$stdres, file="@@stdres@@")
EOS
    # 行列を一つづつ取り出して処理
count = 0
Rrx.cut_table("data02.csv", 3) do |tbl, title, ropt|
  count += 1
  Rrx.temp_make(tbl)  # 抽出した行列を一時ファイルに書き出す
  $ropt = ropt
  hs = Rrx.rexec(rpro)
  next  if !hs[:sink] or !hs["stdres"]
  regex = /^\w\S* = (.+?), df = (.+?), p-value [<>=]+ (.+)$/
  chi,df,pval = regex =~ hs[:sink] ? [$1.to_f, $2.to_i, $3.to_f] : [nil]*3
  printf("検定#%d(%s)\n", count, title)
  printf("χ2 %g\tdf %d\tp-value %g\n", chi, df, pval)
  if pval < 0.05  # 有意性が認められる場合
    ary = Rrx.str2ary(hs["stdres"])  # 調整済み残差を配列に変換
    col = ary[0]  # 上端(横方向の項目名)
    row = Rrx.table_turn(ary)[0]  # 左端(縦方向の項目名)
    more = []  # 有意に多いセルをこれに記録
    less = []  # 有意に少ないセルをこれに記録
    for i in 1...ary.size
      for j in 1...ary[i].size
        val = ary[i][j]
        more << [row[i], col[j], val]  if val > 1.96
        less << [row[i], col[j], val]  if val < -1.96
      end
    end
    puts "* 有意に多い欄"
    more.each {|a|  puts "\t" + a.join("\t")}
    puts "* 有意に少ない欄"
    less.each {|a|  puts "\t" + a.join("\t")}
  end
  printf("\n")
end
