#!/usr/local/bin/ruby -Ku
  # グラフをpdfに出力  (coding: utf-8)
require "rrx"
include Rrx
    # Rプログラムの定義
rpro = <<EOS
dtf <- read.csv("@@last@@", header=T)
pdf(file="cor02.pdf")
par(family = "Japan1GothicBBB")  # 日本語フォントにゴチックを指定
par(mar = c(5, 5, 3, 3))  # 余白
plot(dtf$体重, dtf$身長, type="p",
    main="身長と体重の散布図", cex.main=2,  # メインタイトルとその大きさ
    xlab="体重", ylab="身長", cex.lab=2)
dev.off()
EOS
    # 行列の切り取りとRプログラムの実行
cut_data("data03.csv") do |data|
  temp_make(data)  # 一時ファイルへの行列の書き出し
  hs = rexec(rpro)
  print hs[:log]
end
