#!/usr/local/bin/ruby -Ku
  # del_col() の利用。指定の列を削除  (coding: utf-8)
require "rrx"
include Rrx
    # Rプログラムの定義
rpro = <<EOS
dtf <- read.csv("@@last@@", header=T)
male <- subset(dtf, 性別 == "男")
female <- subset(dtf, 性別 == "女")
write.csv(male, file="@@male@@")
write.csv(female, file="@@female@@")
EOS
    # 行列を切り出してRプログラムを実行
cut_data("data03.csv") do |data|
  temp_make(data)  # 抽出した表を一時ファイルに書き出す
  hs = rexec(rpro)
  next  if !hs["male"] or !hs["female"]
  male = del_col(hs["male"], 0)  # 左端の第１列目を削除
  female = del_col(hs["female"], 0)
  File.open("output.csv", "w") do |ff|
    ff.print male + "\n"
    ff.print female + "\n"
  end
end
puts "'output.csv' を作成しました."
