#!/usr/local/bin/ruby -Ku
  # 身長と体重の両方を検定  (coding: utf-8)
require "rrx"
include Rrx
    # Rプログラムの定義
rpro = <<EOS
dtf <- read.csv("@@last@@", header=T)
male <- subset(dtf, 性別 == "男")
female <- subset(dtf, 性別 == "女")
ff <- var.test(male$@@$item@@, female$@@$item@@)
ff
flag <- (ff$p.value >= 0.05)
t.test(male$@@$item@@, female$@@$item@@, var.equal=flag)
EOS
    # 行列を切り出してRプログラムを実行
cut_data("data03.csv") do |data|
  temp_make(data)  # 抽出した表を一時ファイルに書き出す
  %w(身長 体重).each do |item|
    $item = item
    hs = rexec(rpro)
    next  unless hs[:sink]
    print hs[:sink]
  end
end
