#!/usr/local/bin/ruby -Ku
  # 身長と体重の両方を検定・その２  (coding: utf-8)
require "rrx"
include Rrx
    # Rプログラムの定義
rpro = <<EOS
dtf <- read.csv("@@last@@", header=T)
male <- subset(dtf, 性別 == "男")
female <- subset(dtf, 性別 == "女")
for (i in 1:ncol(dtf)) {
  item <- colnames(dtf)[i]
  if (item != "身長" && item != "体重")  next
  cat("**「", item, "」についての検定結果\n", sep="")
  ff <- var.test(male[[item]], female[[item]])
  print(ff)
  flag <- (ff$p.value >= 0.05)
  tt <- t.test(male[[item]], female[[item]], var.equal=flag)
  print(tt)
}
EOS
    # 行列を切り出してRプログラムを実行
cut_data("data03.csv") do |data|
  temp_make(data)  # 抽出した表を一時ファイルに書き出す
  hs = rexec(rpro)
  next  unless hs[:sink]
  print hs[:sink]
end
