#! ruby -Ku
  # arrayを表に(markdown→html|tex)  (coding: utf-8)
require "rubygems"
require "kramdown"
require "rrxutil"
        ## Rプログラムの設定
rpro = <<EOS
xx <- array(c(13216221, 9072133, 8863324, 7425952))  # 都道府県の人口
names(xx) <- c("東京都", "神奈川県", "大阪府", "愛知県")
robj(xx)
EOS
        ## Rの実行，htmlとLaTeXへの変換
hs = Rrx.rexec(rpro)
xx = hs["robj1"]["self"]
md_str = Rrx.array2table(xx)
puts "** markdown\n" + md_str + "\n"
enc = (RUBY_VERSION >= "1.9") ? __ENCODING__ : $KCODE  # 現在の文字コード
kdoc = Kramdown::Document.new(md_str)  # Kramdownオブジェクトの生成
html_str = Rrx.nkfex(kdoc.to_html, enc)  # html生成と文字コード変換
puts "** html\n" + html_str + "\n"
tex_str = Rrx.nkfex(kdoc.to_latex, enc)  # LaTeX原本生成と文字コード変換
puts "** LaTeX\n" + tex_str + "\n"
