#! ruby -Ku
  # markdown→html(stand-alone)  (coding: utf-8)
require "rubygems"
require "kramdown"
require "rrxutil"
        ## Rプログラムの設定
rpro = <<EOS
xx <- array(c(13216221, 9072133, 8863324, 7425952))  # 都道府県の人口
names(xx) <- c("東京都", "神奈川県", "大阪府", "愛知県")
robj(xx)
EOS
        ## Rの実行，htmlとLaTeXへの変換
hs = Rrx.rexec(rpro)
xx = hs["robj1"]["self"]
md_str = "下は都道府県の人口(単位：人)の１位〜４位です。\n\n"
md_str += Rrx.array2table(xx)
enc = (RUBY_VERSION >= "1.9") ? __ENCODING__ : $KCODE
kdoc = Kramdown::Document.new(md_str)
html_str = Rrx.nkfex(kdoc.to_html, enc)
html_str = html_str.sub(/\n+\Z/, "").chomp
str = <<EOS2
<!DOCTYPE html>
<html>
<head>
<title>test web page</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
</head>
<body>
#{html_str}
</body>
</html>
EOS2
str = Rrx.nkfex(str, "utf-8")
File.open("result.htm", "w") {|ff|  ff.write str}
puts "'result.htm' を出力しました."
