#! ruby -Ku
  # markdown→tex(stand-alone) (coding: utf-8)
require "rubygems"
require "kramdown"
require "rrxutil"
        ## Rプログラムの設定
rpro = <<EOS
xx <- array(c(13216221, 9072133, 8863324, 7425952))  # 都道府県の人口
names(xx) <- c("東京都", "神奈川県", "大阪府", "愛知県")
robj(xx)
EOS
        ## Rの実行，htmlとLaTeXへの変換
hs = Rrx.rexec(rpro)
xx = hs["robj1"]["self"]
md_str = "下は都道府県の人口(単位：人)の１位〜４位です。\n\n"
md_str += Rrx.array2table(xx)
enc = (RUBY_VERSION >= "1.9") ? __ENCODING__ : $KCODE
kdoc = Kramdown::Document.new(md_str)
tex_str = Rrx.nkfex(kdoc.to_latex, enc)
tex_str = tex_str.sub(/\n+\Z/, "").chomp
str = <<EOS2
\\documentclass{jarticle}
\\usepackage{longtable}
\\begin{document}
#{tex_str}
\\end{document}
EOS2
File.open("result.tex", "w") {|ff| ff.write str}
puts "'result.tex' を出力しました."
# LaTeXを使ってpdfファイルを作成するなら次のとおり。
# platex result.tex  # → result.dvi が作成される
# dvipdfmx result.dvi  # → result.pdf が作成される
