#! ruby -Ku
  # matrixを表に(markdown→html)  (coding: utf-8)
require "rubygems"
require "kramdown"
require "rrxutil"
        ## Rプログラムの設定
rpro = <<EOS
xx <- rbind(c("東京都", 13216221, 2188.67, 6038.47),
    c("神奈川県", 9072133, 2415.86, 3755.24),
    c("大阪府", 8863324, 1901.42, 4661.42),
    c("愛知県", 7425952, 5165.14, 1437.71),
    c("全国", 127532028, 372923.77, 341.98))
colnames(xx) <- c("都道府県", "人口", "面積", "人口密度")
robj(xx)
EOS
        ## Rの実行，htmlとLaTeXへの変換
hs = Rrx.rexec(rpro)
xx = hs["robj1"]["self"]
sep1 = [":--"] + ["--:"] * 3  # 最左列を左寄せ・他は右寄せ
sep2 = ["==="]  # 最下行をtfootにするための区切り指定
tblopt = 'border="1"'  # <table border="1"> にするための指定
md_str = Rrx.matrix2table(xx, sep1, sep2, tblopt)
puts "** markdown\n" + md_str + "\n"
enc = (RUBY_VERSION >= "1.9") ? __ENCODING__ : $KCODE  # 現在の文字コード
kdoc = Kramdown::Document.new(md_str)  # Kramdownオブジェクトの生成
html_str = Rrx.nkfex(kdoc.to_html, enc)  # html生成と文字コード変換
puts "** html\n" + html_str
