#! ruby -Ku
  # xls2aryでweb上のExcelを扱う  (coding: utf-8)
require "rubygems"
require "kramdown"
require "spreadsheet"
require "rrxutil"
        ## Rプログラムの設定
rpro = <<EOS
source("http://cup.sakura.ne.jp/R/tjsf.r", encoding="utf-8")
dtf <- read.csv("@@last@@", header=T, na.strings="")
dtf$性別 <- factor(dtf$性別, levels=c("男", "女"), labels=c("男", "女"))
xx <- sa1(dtf, "性別", "意見")
xx <- lround(xx, 1)
zz <- join.tbl(xx$tbl2, xx$pct1, "%d(%.1f)")
robj(zz)
EOS
        ## Rの実行，htmlへの変換
xl_file = "http://cup.sakura.ne.jp/x/sample_data.xls"
sheets = Rrx.xls2ary(xl_file)  # Excelファイルを読み込んで配列に変換
Rrx.temp_make(sheets[0], ".csv")  # 第１ワークシートをcsvとして出力
hs = Rrx.rexec(rpro)  # Rの実行
zz = hs["robj1"]["self"]
md_str = <<EOS2
# 男女別の「意見」の集計結果\n
　男女別に「意見」(賛成・中立・反対)を集計すると次のとおり。\n
#{Rrx.matrix2table(zz, ["==="], 'border="1"')}
EOS2
        ## kramdownによるhtmlの生成
charset = "euc-jp"  # これから作るhtmlの文字コード
tfile = Rrx.html_template(charset)  # kramdownのテンプレートを生成(tempfile)
kdoc = Kramdown::Document.new(md_str, {:template=>tfile.path})
html_str = Rrx.nkfex(kdoc.to_html, charset)
File.open("result.htm", "w") {|ff|  ff.write html_str}
tfile.unlink  # テンプレートファイルを削除
puts "'result.htm' を出力しました."
